<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.zhiqiyun</groupId>
    <artifactId>open-platform</artifactId>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <file.encoding>UTF-8</file.encoding>
        <junit.version>4.13.2</junit.version>

        <commons-lang3.version>3.12.0</commons-lang3.version>
        <commons-codec.version>1.15</commons-codec.version>
        <ip2region.version>1.7.2</ip2region.version>

        <spring.version>5.3.14</spring.version>
        <spring-boot.version>2.6.2</spring-boot.version>

        <mysql-connector-java.version>8.0.27</mysql-connector-java.version>
        <mybatis-spring-boot-starter.version>2.2.0</mybatis-spring-boot-starter.version>
        <mybatis.version>3.5.7</mybatis.version>

        <!--        <fastjson.version>1.2.79</fastjson.version>-->
        <!--        <slf4j.version>1.7.32</slf4j.version>-->
        <!--        <commons-lang3.version>3.12.0</commons-lang3.version>-->
        <!--        <lombok.version>1.18.22</lombok.version>-->
        <!--        <javax.servlet.version>4.0.1</javax.servlet.version>-->
        <!--        <hibernate-validator.version>6.0.22.Final</hibernate-validator.version>-->
        <!--        <okhttp.version>4.9.3</okhttp.version>-->
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.dliyun</groupId>
            <artifactId>framework-sprint-boot</artifactId>
            <version>1.0.6</version>
        </dependency>
        <dependency>
            <groupId>com.dliyun</groupId>
            <artifactId>db-migration</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>${spring-boot.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${spring-boot.version}</version>
        </dependency>
        <!--Mysql相关包-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql-connector-java.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
            <version>${spring-boot.version}</version>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>${mybatis-spring-boot-starter.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>

        <dependency>
            <groupId>org.lionsoul</groupId>
            <artifactId>ip2region</artifactId>
            <version>${ip2region.version}</version>
        </dependency>
    </dependencies>
</project>